<div class="container-fluid">
    <!-- Page Heading -->
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Welcome to Next Level</h1>

        <div class="row">
            <div class="col-md-3"></div>

            <div class="col-md-9" id="div home">
                <div [ngSwitch]="isAuthenticated()">
                    <div class="alert alert-success" *ngSwitchCase="true">
                        <span id="home-logged-message" *ngIf="account" jhiTranslate="home.logged.message" [translateValues]="{ username: account.login }">You are logged in as user "{{ account.login }}".</span
            >
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Content Row -->
  <div class="row">
    <!-- Earnings (Monthly) Card Example -->
    <div class="col-xl-3 col-md-6 mb-4">
      <div class="card border-left-primary shadow h-100 py-2">
        <div class="card-body">
          <div class="row no-gutters align-items-center">
            <div class="col mr-2">
              <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">Novos Seguidores</div>
              <div id="followers" class="h5 mb-0 font-weight-bold text-gray-800"></div>
            </div>
            <div class="col-auto">
              <i class="fas fa-calendar fa-2x text-gray-300"></i>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Earnings (Monthly) Card Example -->
    <div class="col-xl-3 col-md-6 mb-4">
      <div class="card border-left-success shadow h-100 py-2">
        <div class="card-body">
          <div class="row no-gutters align-items-center">
            <div class="col mr-2">
              <div class="text-xs font-weight-bold text-success text-uppercase mb-1">Média Cliques (Story)</div>
              <div class="h5 mb-0 font-weight-bold text-gray-800">125</div>
            </div>
            <div class="col-auto">
              <i class="fas fa-dollar-sign fa-2x text-gray-300"></i>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Earnings (Monthly) Card Example -->
    <div class="col-xl-3 col-md-6 mb-4">
      <div class="card border-left-info shadow h-100 py-2">
        <div class="card-body">
          <div class="row no-gutters align-items-center">
            <div class="col mr-2">
              <div class="text-xs font-weight-bold text-info text-uppercase mb-1">Aumento</div>
              <div class="row no-gutters align-items-center">
                <div class="col-auto">
                  <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800">80%</div>
                </div>
                <div class="col">
                  <div class="progress progress-sm mr-2">
                    <div
                      class="progress-bar bg-info"
                      role="progressbar"
                      style="width: 80%"
                      aria-valuenow="50"
                      aria-valuemin="0"
                      aria-valuemax="100"
                    ></div>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-auto">
              <i class="fas fa-clipboard-list fa-2x text-gray-300"></i>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Pending Requests Card Example -->
    <div class="col-xl-3 col-md-6 mb-4">
      <div class="card border-left-warning shadow h-100 py-2">
        <div class="card-body">
          <div class="row no-gutters align-items-center">
            <div class="col mr-2">
              <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">Nome do influenciador</div>
              <div id="user" class="h5 mb-0 font-weight-bold text-gray-800">@</div>
            </div>
            <div class="col-auto">
              <i class="fas fa-comments fa-2x text-gray-300"></i>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Content Row -->
  <!--
  <div class="row">

    <div class="col-xl-8 col-lg-7">
      <div class="card shadow mb-4">

        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
          <h6 class="m-0 font-weight-bold text-primary">Mês de Agosto</h6>
          <div class="dropdown no-arrow">
            <a
              class="dropdown-toggle"
              href="#"
              role="button"
              id="dropdownMenuLink"
              data-toggle="dropdown"
              aria-haspopup="true"
              aria-expanded="false"
            >
              <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
              <div class="dropdown-header">Dropdown Header:</div>
              <a class="dropdown-item" href="#">Action</a>
              <a class="dropdown-item" href="#">Another action</a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" href="#">Something else here</a>
            </div>
          </div>
        </div>

        <div class="card-body">
          <div class="chart-area">
            <canvas id="myAreaChart"></canvas>
          </div>
        </div>
      </div>
    </div>


    <div class="col-xl-4 col-lg-5">
      <div class="card shadow mb-4">

        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
          <h6 class="m-0 font-weight-bold text-primary">Revenue Sources</h6>
          <div class="dropdown no-arrow">
            <a
              class="dropdown-toggle"
              href="#"
              role="button"
              id="dropdownMenuLink"
              data-toggle="dropdown"
              aria-haspopup="true"
              aria-expanded="false"
            >
              <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink"></div>
          </div> 
        </div>

        <div class="card-body"></div>
      </div>
    </div>
  </div>
</div>
-->
  <div class="backhome">
    <div class="backInf" *jhiHasAnyAuthority="'ROLE_COMPANY', 'ROLE_ADMIN'">
      <div class="titulo-inf">
        <h1><span>Influenciadores</span></h1>
                    </div>
                    <div *ngFor="let influenciador of influenciadors" data-cy="entityTable" class="tbodyInf">
                        <figure class="card-green">
                            <div class="img-box" [routerLink]="['/influenciador', influenciador.id, 'view']">
                                <img src="u../../content/images/influ-image.png" />
                            </div>

                            <figcaption class="desc degradeGreen">
                                <h4>
                                    {{ influenciador.nome }} <br /><span>{{ influenciador.redes }}</span>
                                </h4>
                                <p>{{ influenciador.followers }}</p>
                            </figcaption>
                        </figure>
                    </div>
                </div>

                <div class="backInf" *ngIf="accountService.hasAnyAuthority(['ROLE_INFLUENCER','ROLE_ADMIN'])">
                    <div class="titulo">
                        <h1><span>Empresas</span></h1>
                    </div>
                    <div *ngFor="let empresa of empresas" data-cy="entityTable" class="tbodyInf">
                        <figure class="card-green">
                            <div class="img-box" [routerLink]="['/empresa', empresa.id, 'view']"><img src="../../content/images/empr-image.png" /></div>

                            <figcaption class="desc degradeempresa">
                                <h4>
                                    {{ empresa.nome }} <br /><span>{{ empresa.regiao }}</span>
                                </h4>
                                <p>{{ empresa.followers }}</p>
                            </figcaption>
                        </figure>
                    </div>
                </div>
            </div>
            <script type="text/javascript"></script>
        </div>